Find event and function signatures used in Boost configurations
curl --request GET \
--url https://api-v2.boost.xyz/known-signaturesimport requests
url = "https://api-v2.boost.xyz/known-signatures"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/known-signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signatures": [
{
"id": "0x00000000000000000000000000000000000000000000000000000000a836f32f",
"textSignature": "mint(address mintTo,uint256 quantity,address collection,uint256 tokenId,address mintReferral,string comment)",
"signatureType": "function",
"abiItem": {
"name": "mint",
"type": "function",
"inputs": [
{
"name": "mintTo",
"type": "address"
},
{
"name": "quantity",
"type": "uint256"
},
{
"name": "collection",
"type": "address"
},
{
"name": "tokenId",
"type": "uint256"
},
{
"name": "mintReferral",
"type": "address"
},
{
"name": "comment",
"type": "string"
}
],
"outputs": [],
"stateMutability": "nonpayable"
}
}
],
"count": 123
}Boost
Find event and function signatures used in Boost configurations
Retrieve event or function signatures, human readable signature and their ABI which can be used when configuring Boost Actions.
GET
/
known-signatures
Find event and function signatures used in Boost configurations
Query Parameters
The desired page to return from the query
Required range:
x >= 0The amount of items to return from the query, defaults to 10, and must be <= 100
Required range:
0 <= x <= 100⌘I